* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: 0;
    border: 0;

    font-family: "Roboto", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-variation-settings: "wdth" 100;

    font-size: 1rem;
    line-height: 1.5rem;
    
    color: #151519;
}

a { text-decoration: none; }

html, body, #root {
    width: 100vw;
    min-height: 100vh;
    height: 100%;
    background: #fff;
    overflow-x: hidden;
}

.bg {
    background-image: linear-gradient(#e4e4e4 1px, transparent 1px), linear-gradient(90deg, #e4e4e4 1px, transparent 1px) !important;
    background-size: 50px 50px !important;
    background-position: center !important;
}

.page {
    position: absolute;
    width: 100%;
    height: 100%;
    min-height: 100vh;
    background: #efeff0;
    visibility: hidden;
    pointer-events: none;
    overflow: hidden;
}

.page:not(.active) {
    display: none !important;
}

.page.active {
    visibility: visible;
    pointer-events: auto;
    overflow: visible;
}

#page_info {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 40px;
}

.card {
    max-width: 300px;
    width: 100%;
    background: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px 25px;
    border-radius: 0.5rem;
    border: 1px solid #d9dbde;
    flex-direction: column;
    gap: 30px;
}


input {
    padding: 10px 15px;
    background: transparent;
    border-radius: 0.5rem;
    border: 1px solid #d9dbde;
    width: 100%;
}

button {
    background: #0159b2;
    padding-inline: calc(0.25rem * 5) !important;
    height: calc(0.25rem * 10) !important;
    cursor: pointer;
    border-radius: 0.5rem;
    font-weight: 700;
    transition: all 150ms;
    color: #ffffff;
}

button:active {
    background: #214583;
    scale: 95% 95%;
}

button:hover {
    background: #014d98;
}

#loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: #efeff0;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 100;
    opacity: 0;
    pointer-events: none;
    flex-direction: column;
    gap: 10px;
}

#loader > div {
    width: 50px;
    height: 50px;
    border: 5px solid transparent;
    border-top-color: #0159b2;
    border-radius: 100%;
    aspect-ratio: 1/1;
    animation: spin 1s linear infinite;
}

#loader.enabled {
    opacity: 1;
    pointer-events: all;
}

#loader_text {
    color: #151519;
    font-size: 32px;
}

@keyframes spin {
    0% {
	transform: rotate(0deg);
    }
    100% {
	transform: rotate(360deg);
    }
}

.option {
    background: #e7e7e7;
    color: #000;
    border-radius: 0.25rem;
    display: flex;
    justify-content: start;
    align-items: center;
    --gap: 20px;
    height: calc(100% - var(--gap)/2);
    width: calc(100% - var(--gap)/2);
    margin: auto;
    padding-top: 20px;
    padding-bottom: 20px;
    padding-left: 5%;
    padding-right; 5%;
    cursor: pointer;
    gap: 10px;
}

#page_quiz {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding-top: 60px;
}

.option.red, .option.red * { background-color: #EB1C24; color: #eeeeee !important; }
.option.green, .option.green * { background-color: #02A04B; color: #eeeeee !important; }
.option.yellow, .option.yellow * { background-color: #FFE013; color: #111111 !important; }
.option.blue, .option.blue * { background-color: #22409A; color: #eeeeee !important; }

nav {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 60px;
    background: #efeff0;
    color: #151519;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 5%;
    border-bottom: 1px solid #ccc;
}

nav > div {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

nav * { 
    font-size: 30px;
}


#page_result {
    display: flex;
    justify-content: start;
    align-items: center;
    flex-direction: column;
    padding-top: 50px;
    gap: 50px;
}

.result.card {
    min-width: 150px;
    gap: 20px;
}

.result.card > strong {
    font-size: 40px;
}

#result_qlist {
    width: 90%;
    display: flex;
    gap: 10px;
    flex-direction: column;
    padding-bottom: 50px;
}

.result-question {
    align-items: start;
    max-width: 100%;
    position: relative;
}

.result-question.remark {
    border-top: 0;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.result-question > div:nth-child(1) {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.result-question > div:nth-child(1) > span:nth-child(1) {
    font-weight: 600;
}

.result-question > div:nth-child(1) > span:nth-child(2) {
    font-weight: 500;
}

.result-question > div:nth-child(1) > span:nth-child(2).slow { color: #a50202; }
.result-question > div:nth-child(1) > span:nth-child(2).fast { color: #066306; }

.result-question > div:nth-child(2) {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 100%;
}

.result-question > div:nth-child(2) > span {
    background: #eeeeee;
    border: 1px solid #d9dbde;
    width: 100%;
    padding: 5px 10px;
    border-radius: 0.25rem;
}

.result-question > div:nth-child(2) > span.selected {
    background: #ffd1d1;
    border: 1px solid #ff4c4c;
    color: #000000;
}

/*.result-question > div:nth-child(2) > span.correct {
    background: #e4f0fd;
    border: 1px solid #0176ec;
    color: #000000;
}*/

.result-question > div:nth-child(2) > span.correct,
.result-question > div:nth-child(2) > span.correct.selected {
    background: #0159b2;
    border: 1px solid #004a95;
    color: #ffffff;
}

.result-question > div:nth-child(3) {
    background: #e4f0fd;
    padding: 10px;
    width: 100%;
    border-radius: 0.5rem;
    border: 1px solid #0176ec;
}

.result-question > div:nth-child(3) > span:nth-child(1) {
    font-weight: 700;
}

.result-question-remark {
    background: #ffd38f;
    border-radius: 0.5rem;
    border: 1px solid #ff9759;
    padding: 10px;
    position: relative;
    border-bottom: 0;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}

#tabs {
    background: #efeff0;
    border-radius: 0.5rem;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    width: 100%;
}

#tabs > button {
    background: #efeff0;
    font-weight: 400;
    color: #3d3a3a;
    border-radius: 0;
}

#tabs > button.active {
    background: #ffffff;
    font-weight: 700;
    color: #0159b2;
    position: relative;
}

#info_card > div.hidden {
    display: none !important;
    position: absolute !important;
    top: -1000%;
    left: -1000%;
}

.tab {
    padding: 0 !important;
}

.tab.active::before {
  content: '';
  position: absolute;
  width: 100%;
  height: 10px;
  transform: translateY(-50%);
  top: 0;
  left: 0;
  background: #ffffff;
  border-top-left-radius: 0.5rem;
  border-top-right-radius: 0.5rem;
  transition: all 150ms;
}

.tab.active::after {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  transform: translateY(100%);
  background-color: #fff;
  width: 100%;
  height: 10px;
}

#page_stats {
    display: flex;
    justify-content: start;
    align-items: center;
    flex-direction: column;
    padding-top: 50px;
    gap: 50px;
}
